Subject: Re: [PATCH 6/7] [POWERPC] mpc8568mds.dts: fix PCI/PCIe nodes

From: Anton Vorontsov <[email-masked]>
Date: Fri, 5 Oct 2007 22:05:53 +0400

On Fri, Oct 05, 2007 at 09:56:46PM +0400, Sergei Shtylyov wrote:
> Hello.
>
> Anton Vorontsov wrote:
>
>> Commit 5bece127f0666996ca90772229e00332a34e516c tried to fix
>> PCI/PCIe nodes, but actually it broke them even harder. ;-)
>
>    Of course. But shouldn't those be the subnoses of the "soc" type node?

Nope. PCI's ranges = <>; isn't in the SOC address space.

Valentine Barshak posted a patch titled "[RFC] [PATCH] PowerPC: Add 64-bit
phys addr support to 32-bit pci" that started using of_translate_address()
for ranges, and of_translate_address() will not work if PCI placed in the
SOC node. Not sure if that patch applied or not, though.

Good luck,

-- 
Anton Vorontsov
email: [email-masked]
backup email: [email-masked]
irc://irc.freenode.net/bd2